var validate = {
	url: function(url) {
		var re = /^http:\/\//;
		return (re.test(url) && url.length >= 10);
	}
};


$('#url-submit-form').on('submit', function(e) {
	var original = $.trim($('#url').val());
	var err;

	$('.error').remove();

	if (validate.url(original)) {

		$.ajax({
			url: '/',
			data: {
				original: original
			},
			type: 'post',
			success: function(msg) {
				$('#result').html(msg);
			}
		});
		
	} else {
		err = document.createElement('p');
		err.className = 'error';
		err.innerHTML = 'Not a valid URL';
		$(this).prepend(err);
	}
	

	e.preventDefault();
});